## org.eclipse.emf.compare.diff.metamodel
Interface ConflictingDiffElement

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ConflictingDiffElementImpl

    public interface ConflictingDiffElement

extends DiffElement

A representation of the model object 'Conflicting Diff Element'. This will act as a container for conflictual changes.

The following features are supported:

- `Left Parent`
- `Right Parent`
- `Origin Element`

See Also:
  `DiffPackage.getConflictingDiffElement()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftParent()` Returns the value of the 'Left Parent' reference
`org.eclipse.emf.ecore.EObject` `getOriginElement()` Returns the value of the 'Origin Element' reference
`org.eclipse.emf.ecore.EObject` `getRightParent()` Returns the value of the 'Right Parent' reference
`void` `setLeftParent(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Parent`' reference
`void` `setOriginElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Origin Element`' reference
`void` `setRightParent(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Parent`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftParent

    org.eclipse.emf.ecore.EObject getLeftParent()

  Returns the value of the 'Left Parent' reference.

  If the meaning of the 'Left Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Parent' reference.
  See Also:
    `setLeftParent(EObject)`, `DiffPackage.getConflictingDiffElement_LeftParent()`

### getOriginElement

    org.eclipse.emf.ecore.EObject getOriginElement()

  Returns the value of the 'Origin Element' reference.

  If the meaning of the 'Origin Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Origin Element' reference.
  See Also:
    `setOriginElement(EObject)`, `DiffPackage.getConflictingDiffElement_OriginElement()`

### getRightParent

    org.eclipse.emf.ecore.EObject getRightParent()

  Returns the value of the 'Right Parent' reference.

  If the meaning of the 'Right Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Parent' reference.
  See Also:
    `setRightParent(EObject)`, `DiffPackage.getConflictingDiffElement_RightParent()`

### setLeftParent

    void setLeftParent(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Parent`' reference.

  Parameters:
    `value` - the new value of the 'Left Parent' reference.
  See Also:
    `getLeftParent()`

### setOriginElement

    void setOriginElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Origin Element`' reference.

  Parameters:
    `value` - the new value of the 'Origin Element' reference.
  See Also:
    `getOriginElement()`

### setRightParent

    void setRightParent(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Parent`' reference.

  Parameters:
    `value` - the new value of the 'Right Parent' reference.
  See Also:
    `getRightParent()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.